function init(hero) {
    hero.setName("Doop");
    hero.setTier(6);
    hero.setCosmic();

    hero.setHelmet("Head");    
    hero.setChestplate("Chest");
    
    hero.addAbilities("fiskheroes:cellular_regeneration", "fiskheroes:hover", "fiskheroes:flight", "fiskheroes:superhuman_durability", "fiskheroes:healing_factor", "fiskheroes:size_manipulation", "fiskheroes:pyrokinesis", "fiskheroes:canary_cry");
    hero.addAttribute("ATTACK_DAMAGE", 1.95, 1);
    hero.addAttribute("SWORD_DAMAGE", -.98, 1);
    hero.addAttribute("PUNCH_DAMAGE", 14.5, 0);
    hero.addAttribute("SPRINT_SPEED", 0.95, 1);
    
    hero.addKeyBind("HOVER", "Levitate", 2);
    hero.addKeyBind("CANARY_CRY", "The Power Of The Funk", 3);
    hero.addKeyBind("GROW", "key.grow", 4);
    hero.addKeyBind("SHRINK", "key.shrink", 5);
    
    hero.setDefaultScale(0.64);
    hero.setHasProperty(hasProperty);
    hero.supplyFunction("getMinSize", .64);
    hero.supplyFunction("getMaxSize", 50.0);
    hero.supplyFunction("isInstant", false);
}

